Extending Qt Creator Manual | SimpleAbstractStreamReader

Extending Qt Creator Manual 4.5.2

# SimpleAbstractStreamReader Class

(QmlJS::SimpleAbstractStreamReader)

- List of all members, including inherited members

## Public Functions

| SimpleAbstractStreamReader()
QStringList | errors() const
bool | readFile(const QString &fileName)
bool | readFromSource(const QString &source)

## Protected Functions

void | addError(const QString &error, const AST::SourceLocation &sourceLocation = AST::SourceLocation())
AST::SourceLocation | currentSourceLocation() const
virtual void | elementEnd() = 0
virtual void | elementStart(const QString &name) = 0
virtual void | propertyDefinition(const QString &name, const QVariant &value) = 0

## Member Function Documentation

### SimpleAbstractStreamReader::SimpleAbstractStreamReader()

Default constructs an instance of SimpleAbstractStreamReader.

### `[protected]` void SimpleAbstractStreamReader::addError(const QString &error, const AST::SourceLocation &sourceLocation = AST::SourceLocation())

### `[protected]` AST::SourceLocation SimpleAbstractStreamReader::currentSourceLocation() const

### `[pure virtual protected]` void SimpleAbstractStreamReader::elementEnd()

### `[pure virtual protected]` void SimpleAbstractStreamReader::elementStart(const QString &name)

### QStringList SimpleAbstractStreamReader::errors() const

### `[pure virtual protected]` void SimpleAbstractStreamReader::propertyDefinition(const QString &name, const QVariant &value)

### bool SimpleAbstractStreamReader::readFile(const QString &fileName)

### bool SimpleAbstractStreamReader::readFromSource(const QString &source)